openSUSE Security Update : net-snmp (openSUSE-2018-1313)

High Nessus Plugin ID 118485

Synopsis

The remote openSUSE host is missing a security update.

Description

This update for net-snmp fixes the following issues :

Security issues fixed :

- CVE-2018-18065: _set_key in agent/helpers/table_container.c had a NULL pointer Exception bug that can be used by an authenticated attacker to remotely cause the instance to crash via a crafted UDP packet, resulting in Denial of Service.
(bsc#1111122)

Non-security issues fixed :

- swintst_rpm: Protect against unspecified Group name (bsc#1102775)

- Add tsm and tlstm MIBs and the USM security module.
(bsc#1081164)

- Fix agentx freezing on timeout (bsc#1027353)

This update was imported from the SUSE:SLE-12-SP1:Update update project.

Solution

Update the affected net-snmp packages.

See Also

https://bugzilla.opensuse.org/show_bug.cgi?id=1027353

https://bugzilla.opensuse.org/show_bug.cgi?id=1081164

https://bugzilla.opensuse.org/show_bug.cgi?id=1102775

https://bugzilla.opensuse.org/show_bug.cgi?id=1111122

Plugin Details

Severity: High

ID: 118485

File Name: openSUSE-2018-1313.nasl

Version: 1.1

Type: local

Agent: unix

Published: 2018/10/29

Modified: 2018/10/29

Dependencies: 12634

Risk Information

Risk Factor: High

Vulnerability Information

CPE: p-cpe:/a:novell:opensuse:libsnmp30, p-cpe:/a:novell:opensuse:libsnmp30-32bit, p-cpe:/a:novell:opensuse:libsnmp30-debuginfo, p-cpe:/a:novell:opensuse:libsnmp30-debuginfo-32bit, p-cpe:/a:novell:opensuse:net-snmp, p-cpe:/a:novell:opensuse:net-snmp-debuginfo, p-cpe:/a:novell:opensuse:net-snmp-debugsource, p-cpe:/a:novell:opensuse:net-snmp-devel, p-cpe:/a:novell:opensuse:net-snmp-devel-32bit, p-cpe:/a:novell:opensuse:net-snmp-python, p-cpe:/a:novell:opensuse:net-snmp-python-debuginfo, p-cpe:/a:novell:opensuse:perl-SNMP, p-cpe:/a:novell:opensuse:perl-SNMP-debuginfo, p-cpe:/a:novell:opensuse:snmp-mibs, cpe:/o:novell:opensuse:42.3

Required KB Items: Host/local_checks_enabled, Host/SuSE/release, Host/SuSE/rpm-list, Host/cpu

Patch Publication Date: 2018/10/26

Reference Information

CVE: CVE-2018-18065